### Virtual Method

# Rest Proxy new_call

#### Declaration [src]

    RestProxyCall*
    new_call (
      RestProxy* proxy
    )

#### Description [src]

Create a new `RestProxyCall` for making a call to the web service. This call is one-shot and should not be re-used for making multiple calls.

#### Return value

Type: `RestProxyCall`

A new `RestProxyCall`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.